@echo off

if "%JAVA_HOME%" == "" goto nojh
goto jh

:nojh

    echo Error: JAVA_HOME not set
    goto end

:jh

if "%DAS_Client_HOME%" == "" goto nodasclient
goto dasclient

:nodasclient

    echo Error: DAS_Client_HOME not set
    goto end

:dasclient

set CMD_LINE_ARGS=

:setupArgs
if %1a==a goto setCMD
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto setupArgs

:setCMD

if not "%VO-DAS_LIB%" =="" goto run

set VO-DAS_LIB=%DAS_Client_HOME%\lib\org_china_vo_das_engine_DAS.jar;%DAS_Client_HOME%\lib\org_china_vo_das_engine_DAS_stubs.jar;%DAS_Client_HOME%\lib\commandLine.jar

set OGSA-DAI_HOME=%DAS_Client_HOME%\OGSA-DAI

set OGSA-DAI_LIB=%OGSA-DAI_HOME%\lib\exist.jar;%OGSA-DAI_HOME%\lib\mysql-connector-java-5.0.0-beta-bin.jar;%OGSA-DAI_HOME%\lib\ogsadai-activities.jar;%OGSA-DAI_HOME%\lib\ogsadai-core.jar;%OGSA-DAI_HOME%\lib\ogsadai-examples.jar;%OGSA-DAI_HOME%\lib\ogsadai-tools.jar;%OGSA-DAI_HOME%\lib\ogsadai-wsrf.jar;%OGSA-DAI_HOME%\lib\ogsadai-wsrf-stubs.jar;%OGSA-DAI_HOME%\lib\xmlrpc-1.2-patched.jar

set OGSA-DAI_ThirdParty=%OGSA-DAI_HOME%\thirdparty\activation.jar;%OGSA-DAI_HOME%\thirdparty\addressing-1.0.jar;%OGSA-DAI_HOME%\thirdparty\axis.jar;%OGSA-DAI_HOME%\thirdparty\cog-axis.jar;%OGSA-DAI_HOME%\thirdparty\cog-jglobus.jar;%OGSA-DAI_HOME%\thirdparty\cog-url.jar;%OGSA-DAI_HOME%\thirdparty\commons-discovery.jar;%OGSA-DAI_HOME%\thirdparty\commons-logging.jar;%OGSA-DAI_HOME%\thirdparty\cryptix32.jar;%OGSA-DAI_HOME%\thirdparty\cryptix.jar;%OGSA-DAI_HOME%\thirdparty\cryptix-asn1.jar;%OGSA-DAI_HOME%\thirdparty\hsqldb.jar;%OGSA-DAI_HOME%\thirdparty\jakarta-oro-2.0.8.jar;%OGSA-DAI_HOME%\thirdparty\jaxrpc.jar;%OGSA-DAI_HOME%\thirdparty\jce-jdk13-125.jar;%OGSA-DAI_HOME%\thirdparty\log4j-1.2.8.jar;%OGSA-DAI_HOME%\thirdparty\lucene-1.4.3.jar;%OGSA-DAI_HOME%\thirdparty\mail.jar;%OGSA-DAI_HOME%\thirdparty\opensaml.jar;%OGSA-DAI_HOME%\thirdparty\puretls.jar;%OGSA-DAI_HOME%\thirdparty\saaj.jar;%OGSA-DAI_HOME%\thirdparty\servlet.jar;%OGSA-DAI_HOME%\thirdparty\wsdl4j.jar;%OGSA-DAI_HOME%\thirdparty\wsrf_common.jar;%OGSA-DAI_HOME%\thirdparty\wsrf_core.jar;%OGSA-DAI_HOME%\thirdparty\wsrf_core_stubs.jar;%OGSA-DAI_HOME%\thirdparty\wsrf_provider_jce.jar;%OGSA-DAI_HOME%\thirdparty\wsrf_tools.jar;%OGSA-DAI_HOME%\thirdparty\wss4j.jar;%OGSA-DAI_HOME%\thirdparty\xalan.jar;%OGSA-DAI_HOME%\thirdparty\xercesImpl.jar;%OGSA-DAI_HOME%\thirdparty\xml-apis.jar;%OGSA-DAI_HOME%\thirdparty\xmldb.jar;%OGSA-DAI_HOME%\thirdparty\xmlsec.jar

set CLASSPATH=%CLASSPATH%;%VO-DAS_LIB%;%OGSA-DAI_ThirdParty%;%OGSA-DAI_LIB%


:run
rem echo %CMD_LINE_ARGS%
set _RUNJAVA=java -cp
if not "%JAVA_HOME%" == "" set _RUNJAVA="%JAVA_HOME%\bin\java"
%_RUNJAVA% DAS.Commands_main syn %CMD_LINE_ARGS%
:end
