package DAS;


import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.JTextArea;
import java.awt.Rectangle;
import javax.swing.JButton;
import javax.swing.JWindow;
import java.awt.BorderLayout;
import java.awt.Dimension;
import javax.swing.JScrollPane;
import javax.swing.SwingConstants;

public class HistoryInfo extends JFrame {

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane = null;

	private JScrollPane jScrollPane = null;

	private JTextArea jTextAreaHistory = null;

	private JButton jButton = null;

	/**
	 * This is the default constructor
	 */
	public HistoryInfo() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize( ) {
	//	this.setBounds(x, y, 300, 261);  
		this.setSize(402, 252);
		this.setContentPane(getJContentPane());
		this.setTitle("detail");
		this.setResizable(false);
		


		
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(getJScrollPane(), null);
			jContentPane.add(getJButton(), null);
		}
		return jContentPane;
	}

	/**
	 * This method initializes jScrollPane	
	 * 	
	 * @return javax.swing.JScrollPane	
	 */
	private JScrollPane getJScrollPane() {
		if (jScrollPane == null) {
			jScrollPane = new JScrollPane();
			jScrollPane.setPreferredSize(new Dimension(390, 180));
			jScrollPane.setBounds(new Rectangle(3, 5, 390, 180));
			jScrollPane.setViewportView(getJTextAreaHistory());
		}
		return jScrollPane;
	}

	/**
	 * This method initializes jTextAreaHistory	
	 * 	
	 * @return javax.swing.JTextArea	
	 */
	public JTextArea getJTextAreaHistory() {
		if (jTextAreaHistory == null) {
			jTextAreaHistory = new JTextArea();
			jTextAreaHistory.setEditable(false);
		}
		return jTextAreaHistory;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("Resubmit");
			jButton.setBounds(new Rectangle(300, 189, 88, 28));
			jButton.setHorizontalAlignment(SwingConstants.CENTER);
			jButton.addMouseListener(new java.awt.event.MouseAdapter() {
				public void mouseClicked(java.awt.event.MouseEvent e) {
					dispose(); // TODO Auto-generated Event stub mouseClicked()
				}
			});
		}
		return jButton;
	}

}  
