package DAS;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.tree.*;
public class InterfaceDesign 
{  
	
	private JMenuBar menuBar;
	private JToolBar toolBar;
	private JTree tree;
	private JTextField mDisplay;
	private JTabbedPane queryTabbedPane;
	private JPanel newPanel;
	private JComboBox comboBox,comboBox1,comboBox2;
	private JTabbedPane ShowTabbedPane;
	private JTextArea textArea1;
	private JTextArea textArea2;
	private JTextField taskField;
	private JLabel lable2 ;
	private JButton button_1;
	
	public JLabel getJLable(){
		return lable2;
	}
	
	public JTextArea getTextArea2() {
		return textArea2;
	}

	public void setTextArea2(JTextArea textArea2) {
		this.textArea2 = textArea2;
	}

	public JTextArea getTextArea1() {
		return textArea1;
	}

	public void setTextArea1(JTextArea textArea1) {
		this.textArea1 = textArea1;
	}
	public  JTextField getTaskField (){
		return taskField;
	}
	public JButton getSubmitButton(){
		return this.button_1;
	}
	public   JMenuBar createMenuBar()
      { 
		menuBar = new JMenuBar();
		
		//Build Connect menu in the menu bar.
		JMenu connectMenu;
		connectMenu = new JMenu("Connect");
		connectMenu.setMnemonic(KeyEvent.VK_C);
		menuBar.add(connectMenu);
		JMenuItem connectItem = new JMenuItem();
		connectItem.setText("Connect...");
		connectItem.addMouseListener(new MenuToolListener());
		connectMenu.add(connectItem);
	
		
        //Build the Query menu in the menu bar.
		JMenu queryMenu;
		queryMenu = new JMenu();
		queryMenu.setText("Query");
		queryMenu.setMnemonic(KeyEvent.VK_Q);
		menuBar.add(queryMenu);
			
		JMenuItem asyItem;
		asyItem = new JMenuItem();
		asyItem.setText("AsynchronousQuery");
		asyItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_A,ActionEvent.ALT_MASK));
		asyItem.addMouseListener(new MenuToolListener());
		queryMenu.add(asyItem);
		JMenuItem synItem;
		synItem = new JMenuItem();
		synItem.setText("SynchronousQuery");
		synItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_S,ActionEvent.ALT_MASK));
		synItem.addMouseListener(new MenuToolListener());
		queryMenu.add(synItem);
		
		//Build the Search menu in the menu bar.
		JMenu searchMenu;
		searchMenu = new JMenu();
		searchMenu.setText("Search");
		searchMenu.setMnemonic(KeyEvent.VK_Q);
		menuBar.add(searchMenu);
		
		JMenuItem metadataItem;
		metadataItem = new JMenuItem();
		metadataItem.setText("MetaData");
		metadataItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_M,ActionEvent.ALT_MASK));
		metadataItem.addMouseListener(new MenuToolListener());
		searchMenu.add(metadataItem);	
		

	
		//Build Data menu in the menu bar.
		JMenu dataMenu;
		dataMenu = new JMenu("Data");
		dataMenu.setMnemonic(KeyEvent.VK_D);
		menuBar.add(dataMenu);
		
		JMenuItem importItem;
		importItem = new JMenuItem();
		importItem.setText("Import");
		importItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_I,ActionEvent.ALT_MASK));
		importItem.getAccessibleContext().setAccessibleDescription(
				"This doesn't really do anything");
		importItem.addMouseListener(new MenuToolListener());
		dataMenu.add(importItem);
		JMenuItem outputItem;
		outputItem = new JMenuItem();
		outputItem.setText("Output");
		outputItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_O,ActionEvent.ALT_MASK));
		outputItem.addMouseListener(new MenuToolListener());
		dataMenu.add(outputItem);

		//Build Fourth menu in the menu bar.
		JMenu IndexMenu;
		IndexMenu = new JMenu("Index");
		menuBar.add(IndexMenu);
		IndexMenu.setMnemonic(KeyEvent.VK_I);
		
		JMenuItem helpItem = new JMenuItem();
		helpItem.setText("Help");
		helpItem.addMouseListener(new MenuToolListener());
		IndexMenu.add(helpItem);
		
		JMenuItem aboutItem = new JMenuItem();
		aboutItem.setText("About");
		aboutItem.addMouseListener(new MenuToolListener());
		IndexMenu.add(aboutItem);
		
	

		
		return menuBar;
	}
	
	public JToolBar createToolBar()
	{   toolBar = new JToolBar();
	    toolBar.setFloatable(false);
	   // toolBar.addSeparator();

	    //button.
	    JButton connectButton = new JButton( new ImageIcon("images/296.gif"));
	    connectButton.setToolTipText("Connect");
	    connectButton.addMouseListener(new MenuToolListener());
	    toolBar.add(connectButton);
	    
	    toolBar.addSeparator();
	    
	    JButton asyQueryButton = new JButton( new ImageIcon("images/093.gif"));
	    asyQueryButton.setToolTipText("AsynchronousQuery");
	    asyQueryButton.addMouseListener(new MenuToolListener());
	    toolBar.add(asyQueryButton);
	    
	    JButton synQueryButton = new JButton( new ImageIcon("images/288.gif"));
	    synQueryButton.setToolTipText("SynchronousQuery");
	    synQueryButton.addMouseListener(new MenuToolListener());
	    toolBar.add(synQueryButton);	    
	    
	    toolBar.addSeparator();
	    
	    JButton metaDataButton = new JButton( new ImageIcon("images/281.gif"));
	    metaDataButton.setToolTipText("MetaData");
	    metaDataButton.addMouseListener(new MenuToolListener());
	    toolBar.add(metaDataButton);
	    

	    
	    JButton importButton = new JButton( new ImageIcon("images/069.gif"));
	    importButton.setToolTipText("Import");
	    importButton.addMouseListener(new MenuToolListener());
	    toolBar.add(importButton);
	    
	    JButton outputButton = new JButton( new ImageIcon("images/099.gif"));
	    outputButton.setToolTipText("output");
	    outputButton.addMouseListener(new MenuToolListener());
	    toolBar.add(outputButton);
        
	    toolBar.addSeparator();
	    
	    JButton helpButton = new JButton( new ImageIcon("images/209.gif"));
	    helpButton.setToolTipText("Help");
	    helpButton.addMouseListener(new MenuToolListener());
	    toolBar.add(helpButton);
	    JButton aboutButton = new JButton( new ImageIcon("images/255.gif"));
	    aboutButton.setToolTipText("about");
	    aboutButton.addMouseListener(new MenuToolListener());
	    toolBar.add(aboutButton);
	    
	    toolBar.setBorder(BorderFactory.createEtchedBorder());
		return toolBar;
	}
	
	public JTree   createTree(String[] a )
	{   
		DefaultMutableTreeNode top,parent,node;
		
		top = new DefaultMutableTreeNode("Metadata");
		parent = top;
		if (a[0] != "") {
			for(int i=0;i<=a.length ;i++){
		    node = new DefaultMutableTreeNode(a[i]);
		    parent.add(node);
			}
		}

		DefaultTreeCellRenderer   renderer   =   new   DefaultTreeCellRenderer(); 
		renderer.setClosedIcon(new ImageIcon("images/045.gif"));   
        renderer.setOpenIcon(new ImageIcon("images/031.gif"));   
        renderer.setLeafIcon(new ImageIcon("images/123.gif"));   
        //renderer.setFont(new   Font("Serif",Font.ITALIC,14));  
		tree = new JTree(top);
		tree.setCellRenderer(renderer);
		tree.setShowsRootHandles(true);
        
		return tree;
	}		
	public JTextField createTextField(){
	    mDisplay = new JTextField();
	    mDisplay.setText("First,Please connect one server!");
	    mDisplay.setForeground(Color.RED);//;
		mDisplay.setEditable(false);
		return  mDisplay;
      }
	public JTextField getTextField(){
		return mDisplay;
	}
	public JTabbedPane createQueryTabbedPane(){
		queryTabbedPane = new JTabbedPane(SwingConstants.TOP);
		queryTabbedPane.setPreferredSize(new Dimension(300,350));	
		
		JPanel queryPanel = new JPanel();
		queryPanel.setLayout(new BorderLayout());
		
		JLabel taskLable = new JLabel ("  task name:  ");	
		taskField = new JTextField ();
		taskField.setText(" ");
		taskField.setSize(60, 30);
		
		JPanel taskPanel = new JPanel();
		taskPanel.setLayout(new BorderLayout());
		taskPanel.add(taskLable,BorderLayout.WEST);
		taskPanel.add(taskField,BorderLayout.CENTER);
		
		queryPanel.add(taskPanel,BorderLayout.NORTH);
		
	    textArea1 = new JTextArea();
	    textArea1.setName("AdvancedQueryArea");
	    textArea1.setSize(200, 270);
	    textArea1.setLineWrap(true);
	    
	    queryPanel.add(textArea1,BorderLayout.CENTER);
	    
		textArea2 = new JTextArea();
		textArea2.setName("DiscriptionArea");
		//textArea2.setLineWrap(true);
		textArea2.setWrapStyleWord(true);
		textArea2.setEditable(false);
		
		
		
		queryTabbedPane.addTab("Advanced Query",queryPanel);
		//queryTabbedPane.gett
		queryTabbedPane.addTab("Description", textArea2);

		
		JPanel newPanel = new JPanel();
		newPanel.setLayout(new BorderLayout());
		JComboBox comboBox = new JComboBox();
		comboBox.setPreferredSize(new Dimension(100, 15));
		newPanel.add(comboBox,BorderLayout.WEST);
		JButton button = new JButton("Submit");
		button.setPreferredSize(new Dimension(100, 15));
		newPanel.add(button,BorderLayout.EAST);	
		
		return queryTabbedPane;
	}
	
	public JPanel createSouthPanel()
	{  
	    newPanel = new JPanel();
		newPanel.setBorder(BorderFactory.createEtchedBorder());		
		newPanel.setLayout(new BorderLayout());
		JPanel subPanel_1 = new JPanel();
		subPanel_1.setLayout(new BorderLayout());
		JPanel subPanel_2 = new JPanel();
		subPanel_2.setLayout(new BorderLayout());
		JPanel subPanel_3 = new JPanel();
		subPanel_3.setLayout(new BorderLayout());
		JPanel subPanel_4 = new JPanel();
		subPanel_4.setLayout(new BorderLayout());
		
		comboBox = new JComboBox();
		comboBox.setPreferredSize(new Dimension(142, 23));
		comboBox.addItem("AsynchronousQuery");
		comboBox.addItem("SynchronousQuery");
        comboBox.addActionListener(new itemListener());
        
		subPanel_1.add(comboBox,BorderLayout.WEST);
		
		JLabel lable1 =new JLabel ();
		lable1.setPreferredSize(new Dimension(35, 23));
		subPanel_3.add(lable1,BorderLayout.WEST);
		lable2 = new JLabel ("Save:");
		subPanel_3.add(lable2,BorderLayout.EAST);
		comboBox1 = new JComboBox();
		comboBox1.setPreferredSize(new Dimension(128, 23));
		comboBox1.addItem("CSV with comma");
		comboBox1.addItem("CSV with TAB");
		comboBox1.addItem("VOTable");
		comboBox1.addItem("FITS");
		
		subPanel_1.add(subPanel_3,BorderLayout.CENTER);
		
		
		subPanel_1.add(comboBox1,BorderLayout.EAST);
		
		
		comboBox2 = new JComboBox();
		comboBox2.setPreferredSize(new Dimension(120, 23));
		comboBox2.addItem("ftp://vodas:voftpdas@159.226.169.222/test/result.dat");
		comboBox2.setEditable(true);
		subPanel_2.add(comboBox2,BorderLayout.WEST);
		
		button_1 = new JButton("Submit");
		button_1.setPreferredSize(new Dimension(80, 23));
		subPanel_4.add(button_1,BorderLayout.WEST);
		button_1.addMouseListener(new SubmitButtonListener());
		JLabel label3 = new JLabel();
		label3.setPreferredSize(new Dimension(150, 23));
		subPanel_4.add(label3,BorderLayout.EAST);
		subPanel_2.add(subPanel_4,BorderLayout.CENTER);
		
		JButton button_2 = new JButton("Analyze"); 
		button_2.setPreferredSize(new Dimension(80, 23));
		subPanel_2.add(button_2,BorderLayout.EAST);		
		

	    newPanel.add(subPanel_1,BorderLayout.WEST);
	    newPanel.add(subPanel_2,BorderLayout.EAST);

		
    	return newPanel;
	}
	public JTabbedPane createShowTabbedPane(){
		ShowTabbedPane = new JTabbedPane();
        JScrollPane statePane = new JScrollPane(JobListManager.stateTable);
        JScrollPane historyPane = new JScrollPane(JobListManager.historyTable);
        ShowTabbedPane.addTab("RunningQueue",statePane);
        ShowTabbedPane.addTab("History",historyPane);
		ShowTabbedPane.setPreferredSize(new Dimension(200, 242));
		return ShowTabbedPane;
	}

	public   JPopupMenu createPopUpMenu(){
		 JMenuItem CopyItem;
         JMenuItem CutItem;
         JMenuItem PasteItem;
	        //Create the popup menu.
	        JPopupMenu popup = new JPopupMenu();
	        CopyItem = new JMenuItem("Copy");	       
	        CopyItem.addMouseListener(new PopUpListener());
	        popup.add(CopyItem);
	        CutItem = new JMenuItem("Cut");
	        popup.add(CutItem);
	        CutItem.addMouseListener(new PopUpListener());
	        PasteItem = new JMenuItem("Paste");
	        PasteItem.addMouseListener(new PopUpListener());
	        popup.add(PasteItem);

	        //Add listener to the text area so the popup menu can come up.
	        MouseListener popupListener = new PopUpListener(popup);
		    textArea1.addMouseListener(popupListener);
		    textArea2.addMouseListener(popupListener);
		return popup;
	}

	public JDialog connectDialog(Main_frame frame){
		JDialog connectdialog = new JDialog(frame,"Connect",true);
		Container ContentPane = connectdialog.getContentPane();
		JLabel label = new JLabel("Server:");
		JComboBox combobox = new JComboBox ();
		JButton button1 =new JButton("Connect");
		JButton button2 = new JButton("Disconnect");
		JButton button3 = new JButton("Cancel");
		label.setLocation(new Point(24, 22));
		label.setSize(new Dimension(79, 26));
		button1.setSize(new Dimension(104, 23));
		button1.setLocation(new Point(12, 64));
		button2.setBounds(new Rectangle(142, 63, 104, 22));
		button3.setSize(new Dimension(104, 22));
		button3.setLocation(new Point(269, 65));
		ContentPane.setLayout(null);
		ContentPane.add(label, null);
		ContentPane.add(combobox, null);
		ContentPane.add(button1, null);
		ContentPane.add(button2, null);
		ContentPane.add(button3, null);        
		//connectdialog.add(ContentPane);
		return connectdialog;
	}
	



	public JDialog connectDialog1(Main_frame frame){
		JDialog connectdialog = new JDialog(frame,"Connect",true);
		GridBagConstraints c;
		GridBagLayout gridbag = new GridBagLayout ();
        Container dialogPane = connectdialog.getContentPane();
		dialogPane.setLayout(gridbag);
        int gridx,gridy,gridwidth,gridheight,anchor,fill,ipadx,ipady;
        double weightx,weighty;
        Insets inset;
		JLabel label = new JLabel("Server:");
		gridx = 3;
		gridy = 2;
		gridwidth =1;
		gridheight =1;
		weightx =0;
		weighty =0;
		anchor = GridBagConstraints.CENTER;
		fill=GridBagConstraints.BOTH;
		inset = new Insets(0,0,0,0);
		ipadx = 0;
		ipady = 0;
		c= new GridBagConstraints(gridx,gridy,gridwidth,gridheight,weightx,weighty,anchor,fill,inset,ipadx,ipady);
		gridbag.setConstraints(label,c);
		dialogPane.add(label);
		
		JTextField textfield = new JTextField();
		gridx = 3;
		gridy = 10;
		c= new GridBagConstraints(gridx,gridy,gridwidth,gridheight,weightx,weighty,anchor,fill,inset,ipadx,ipady);
		gridbag.setConstraints(textfield,c);
		dialogPane.add(textfield);
		JButton connectButton = new JButton("Connect");
		JButton cancelButton = new JButton("Cancel");
		
		gridx = 3;
		gridy = 2;
		c= new GridBagConstraints(gridx,gridy,gridwidth,gridheight,weightx,weighty,anchor,fill,inset,ipadx,ipady);
		gridbag.setConstraints(connectButton,c);
		dialogPane.add(connectButton);
		
		JButton disconnectButton = new JButton("Disconnect");
		gridx = 3;
		gridy = 10;
		c= new GridBagConstraints(gridx,gridy,gridwidth,gridheight,weightx,weighty,anchor,fill,inset,ipadx,ipady);
		gridbag.setConstraints(disconnectButton,c);
		dialogPane.add(disconnectButton);
		

		gridx = 3;
		gridy = 15;
		c= new GridBagConstraints(gridx,gridy,gridwidth,gridheight,weightx,weighty,anchor,fill,inset,ipadx,ipady);
		gridbag.setConstraints(cancelButton,c);
		dialogPane.add(cancelButton);
		return connectdialog;
	}
	public JComboBox getComboBox() {
		return comboBox;
	}

	public void setComboBox(JComboBox comboBox) {
		this.comboBox = comboBox;
	}
	
	public JComboBox getComboBox1() {
		return comboBox1;
	}

	public void setComboBox1(JComboBox comboBox1) {
		this.comboBox1 = comboBox1;
	}
	
	public JComboBox getComboBox2() {
		return comboBox2;
	}

	public void setComboBox2(JComboBox comboBox2) {
		this.comboBox2 = comboBox2;
	}

	public JTextField getMDisplay() {
		return mDisplay;
	}

	public void setMDisplay(JTextField display) {
		mDisplay = display;
	}

	public JMenuBar getMenuBar() {
		return menuBar;
	}

	public void setMenuBar(JMenuBar menuBar) {
		this.menuBar = menuBar;
	}

	public JPanel getNewPanel() {
		return newPanel;
	}

	public void setNewPanel(JPanel newPanel) {
		this.newPanel = newPanel;
	}

	public JTabbedPane getQueryTabbedPane() {
		return queryTabbedPane;
	}

	public void setQueryTabbedPane(JTabbedPane queryTabbedPane) {
		this.queryTabbedPane = queryTabbedPane;
	}
    

	public JTabbedPane getShowTabbedPane() {
		return ShowTabbedPane;
	}

	public void setShowTabbedPane(JTabbedPane showTabbedPane) {
		ShowTabbedPane = showTabbedPane;
	}

	public JToolBar getToolBar() {
		return toolBar;
	}
	public JTabbedPane getTabbedPane(){
		return queryTabbedPane;
	}

	public void setToolBar(JToolBar toolBar) {
		this.toolBar = toolBar;
	}

	public JTree getTree() {
		return tree;
	}
	public JPanel getSouthPanel(){
		return newPanel;
	}

	public void setTree(JTree tree) {
		this.tree = tree;
	}
	
	
}