#!/bin/bash
#
# Portions of this file Copyright 2007-2010 NAOC & CCNU
#
# This file or a portion of this file is licensed under the
# terms of the Globus Toolkit Public License.
# If you redistribute this file, with or without
# modifications, you must include this notice in the file.
#

# DELIM="#"
# EXEC="DAS.Commands_main syn"
# DEF_CMD_OPTIONS=""
# EGD_DEVICE="/dev/urandom"


####### MAIN BODY ##########

if [ ! -d "$JAVA_HOME" ] ; then
  echo "Error: JAVA_HOME invalid or not set: $JAVA_HOME" 1>&2
  exit 1
fi

if [ ! -d "$DAS_Client_HOME" ] ; then
  echo "Error: DAS_Client_HOME invalid or not set: $DAS_Client_HOME" 1>&2
  exit 1
fi

# echo "$@"

if [ "X$LOCALCLASSPATH" = "X" ] ; then
VO_DAS_LIB=$DAS_Client_HOME/lib/org_china_vo_das_engine_DAS.jar:$DAS_Client_HOME/lib/org_china_vo_das_engine_DAS_stubs.jar:$DAS_Client_HOME/lib/commandLine.jar

OGSA_DAI_HOME=${DAS_Client_HOME}/OGSA_DAI

OGSA_DAI_LIB=${OGSA_DAI_HOME}/lib/exist.jar:${OGSA_DAI_HOME}/lib/mysql-connector-java-5.0.0-beta-bin.jar:${OGSA_DAI_HOME}/lib/ogsadai-activities.jar:$OGSA_DAI_HOME/lib/ogsadai-core.jar:$OGSA_DAI_HOME/lib/ogsadai-examples.jar:$OGSA_DAI_HOME/lib/ogsadai-tools.jar:$OGSA_DAI_HOME/lib/ogsadai-wsrf.jar:$OGSA_DAI_HOME/lib/ogsadai-wsrf-stubs.jar:$OGSA_DAI_HOME/lib/xmlrpc-1.2-patched.jar

OGSA_DAI_ThirdParty=$OGSA_DAI_HOME/thirdparty/activation.jar:$OGSA_DAI_HOME/thirdparty/addressing-1.0.jar:$OGSA_DAI_HOME/thirdparty/axis.jar:$OGSA_DAI_HOME/thirdparty/cog-axis.jar:$OGSA_DAI_HOME/thirdparty/cog-jglobus.jar:$OGSA_DAI_HOME/thirdparty/cog-url.jar:$OGSA_DAI_HOME/thirdparty/commons-discovery.jar:$OGSA_DAI_HOME/thirdparty/commons-logging.jar:$OGSA_DAI_HOME/thirdparty/cryptix32.jar:$OGSA_DAI_HOME/thirdparty/cryptix.jar:$OGSA_DAI_HOME/thirdparty/cryptix-asn1.jar:$OGSA_DAI_HOME/thirdparty/hsqldb.jar:$OGSA_DAI_HOME/thirdparty/jakarta-oro-2.0.8.jar:$OGSA_DAI_HOME/thirdparty/jaxrpc.jar:$OGSA_DAI_HOME/thirdparty/jce-jdk13-125.jar:$OGSA_DAI_HOME/thirdparty/log4j-1.2.8.jar:$OGSA_DAI_HOME/thirdparty/lucene-1.4.3.jar:$OGSA_DAI_HOME/thirdparty/mail.jar:$OGSA_DAI_HOME/thirdparty/opensaml.jar:$OGSA_DAI_HOME/thirdparty/puretls.jar:$OGSA_DAI_HOME/thirdparty/saaj.jar:$OGSA_DAI_HOME/thirdparty/servlet.jar:$OGSA_DAI_HOME/thirdparty/wsdl4j.jar:$OGSA_DAI_HOME/thirdparty/wsrf_common.jar:$OGSA_DAI_HOME/thirdparty/wsrf_core.jar:$OGSA_DAI_HOME/thirdparty/wsrf_core_stubs.jar:$OGSA_DAI_HOME/thirdparty/wsrf_provider_jce.jar:$OGSA_DAI_HOME/thirdparty/wsrf_tools.jar:$OGSA_DAI_HOME/thirdparty/wss4j.jar:$OGSA_DAI_HOME/thirdparty/xalan.jar:$OGSA_DAI_HOME/thirdparty/xercesImpl.jar:$OGSA_DAI_HOME/thirdparty/xml-apis.jar:$OGSA_DAI_HOME/thirdparty/xmldb.jar:$OGSA_DAI_HOME/thirdparty/xmlsec.jar

LOCALCLASSPATH=$VO_DAS_LIB # :$OGSA-DAI_LIB:$OGSA-DAI_ThirdParty

# echo $LOCALCLASSPATH
fi

### SETUP OTHER VARIABLES ####

# echo "$@"

# echo "Please wait a minute..." 

java -cp $CLASSPATH:$LOCALCLASSPATH DAS.Commands_main downspec "$@"

# echo "The process is over!"
