package DAS;

import javax.swing.JPanel;
import java.awt.Frame;
import java.awt.BorderLayout;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JTree;

import java.awt.Rectangle;
import javax.swing.JTextField;
import javax.swing.JButton;
import javax.swing.text.Position;
import javax.swing.tree.TreeNode;
import javax.swing.tree.TreePath;

import java.awt.Dimension;
import java.awt.Font;
import java.util.Enumeration;

public class searchMetadataDialog extends JDialog {

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane = null;

	private JLabel jLabel = null;

	private JTextField jTextFieldKey = null;

	private JButton jButtonCancel = null;

	private JButton jButtonOK = null;

	/**
	 * @param owner
	 */
	public searchMetadataDialog(Frame owner) {
		super(owner);
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setTitle("Search Metadata");
		this.setContentPane(getJContentPane());
		this.setBounds(new Rectangle(250, 140, 250, 134));
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jLabel = new JLabel();
			jLabel.setBounds(new Rectangle(4, 3, 219, 28));
			jLabel.setFont(new Font("Dialog", Font.BOLD, 12));
			jLabel.setText("Please enter the search key:");
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(jLabel, null);
			jContentPane.add(getJTextFieldKey(), null);
			jContentPane.add(getJButtonCancel(), null);
			jContentPane.add(getJButtonOK(), null);
		}
		return jContentPane;
	}

	/**
	 * This method initializes jTextFieldKey	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTextFieldKey() {
		if (jTextFieldKey == null) {
			jTextFieldKey = new JTextField();
			jTextFieldKey.setBounds(new Rectangle(19, 32, 205, 22));
		}
		return jTextFieldKey;
	}

	/**
	 * This method initializes jButtonCancel	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButtonCancel() {
		if (jButtonCancel == null) {
			jButtonCancel = new JButton();
			jButtonCancel.setBounds(new Rectangle(18, 63, 73, 23));
			jButtonCancel.setText("Cancel");
		}
		return jButtonCancel;
	}

	/**
	 * This method initializes jButtonOK	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private  int row =0 ;
	private JButton getJButtonOK() {
		if (jButtonOK == null) {
			jButtonOK = new JButton();
			jButtonOK.setBounds(new Rectangle(124, 62, 73, 24));
//			jButtonOK.addMouseListener(new searchMetadataListenser());
			jButtonOK.setText("OK");
			jButtonOK.addMouseListener(new java.awt.event.MouseAdapter() {
				public void mouseClicked(java.awt.event.MouseEvent e) {
					JTree tree = Main_frame.mInterfaceDesign.getTree();
					String searchKey =getJTextFieldKey().getText();
					expandAll(tree, new TreePath(tree.getModel().getRoot())); 
					TreePath treepath =	tree.getNextMatch(searchKey, row, Position.Bias.Forward);
                    if (treepath!=null){
                    	 tree.setSelectionPath(treepath);
                         row = tree.getRowForPath(treepath)+1;	
                    }else
                    {
                    	dispose();
    					JOptionPane.showMessageDialog (getJButtonOK(),"not the search key! ","Warnning",2);
                    }
				}
			});
		}
		return jButtonOK;
	}
	 public static void expandAll(JTree tree, TreePath path) {
	        //assert (tree != null) && (path != null);
	        tree.expandPath(path);
	        TreeNode node = (TreeNode) path.getLastPathComponent();
	        for (Enumeration i = node.children(); i.hasMoreElements(); ) {
	            expandAll(tree, path.pathByAddingChild(i.nextElement()));
	        }
	 }
	   // Traverse all nodes in tree
//	   public void visitAllNodes(JTree tree) {
//	       TreeNode root = (TreeNode)tree.getModel().getRoot();
//	       int sign = 0 ;
//	       visitAllNodes(root,sign);
//	   }
//	   public void visitAllNodes(TreeNode node,int sign) {
//	       // node is visited exactly once
//	      // process(node);
//	       if (node == (TreeNode)tree.getModel().getRoot() &&    
//	       if (node.getChildCount() >= 0) {
//	           for (Enumeration e=node.children(); e.hasMoreElements(); ) {
//	               TreeNode n = (TreeNode)e.nextElement();
//	               visitAllNodes(n);
//	           }
//	       }
//	   }
	//TreeNode root = (TreeNode)Main_frame.mInterfaceDesign.getTree().getModel().getRoot();
	//int sign = 0 ;
	public void vistAllNodes (JTree tree , TreeNode node, TreeNode searcheNode,int sign){
		
		if (node == (TreeNode)Main_frame.mInterfaceDesign.getTree().getModel().getRoot()&& sign == 1 ){
			return;
		} else
		{
			if (node == searcheNode) {System.out.println("չѡ");}
			if (node.getChildCount()>0){
		           for (Enumeration e=node.children(); e.hasMoreElements(); ) {
	               TreeNode n= (TreeNode)e.nextElement();
	               sign =1 ;
	               vistAllNodes (tree , n, searcheNode,sign);
	           }
			}
		}
		
	}
}  //  @jve:decl-index=0:visual-constraint="10,10"
