package DAS;

import java.rmi.RemoteException;

import javax.xml.rpc.ServiceException;

import org.apache.axis.types.URI.MalformedURIException;
import org.china.vo.das.engine.client.DASClient;
import org.china.vo.das.engine.impl.DASNamespaces;

public class Connect  {
	private String factoryURI,instanceURI;
	public static  DASClient dasClient ;
	
	public  Connect(String IP,String Port){
		factoryURI = IP+":"+Port + "/wsrf/services/DASFactoryService";
		instanceURI = IP+":"+Port+ "/wsrf/services/DASService";
	}
	public int isConnect(){
	try {
		dasClient = new DASClient(factoryURI, instanceURI);	
	}  catch (MalformedURIException e) {
	//	e.printStackTrace();
		System.out.println("malformed URLs");
		return 0;
	} catch (RemoteException e) {
	//	e.printStackTrace();
		System.out.println("remote connection is error");
		return 0;
	} catch (ServiceException e) {
	//	System.out.println("the service is an exception");
		return 0;
	} catch (Exception e) {
	//	System.out.println("connection is error");
		return 0;
	}
	return 1;
	
	}
}
