package DAS;
import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.net.URI;
import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.Properties;

import javax.swing.ListModel;

import org.votech.plastic.CommonMessageConstants;
import org.votech.plastic.PlasticHubListener;
import org.votech.plastic.PlasticListener;
import org.votech.plastic.managers.PlasticApplication;

import uk.ac.starlink.plastic.*;
public class PlasticAPP implements PlasticListener{

	private PlasticHub DasHub;
	/**
	 * @param args
	 * @throws IOException 
	 * @throws RemoteException 
	 */
	public void  createHub() throws RemoteException, IOException{
		File file = new File("C:\\das\\.plastic");
		ServerSet server = new ServerSet(file);
		DasHub = new PlasticHub(server);
	}
	public void RegisterHub() throws IOException{
        List messages = new ArrayList();
        messages.add(CommonMessageConstants.GET_NAME);
        DasHub.registerRMI("VODAS", messages, this);
	}
	public void ListApp(){
		     ListModel apps = DasHub.getApplicationListModel();	
		     int i =0;
//	         Iterator it = apps.iterator();
	         System.out.println("Registered applications-------");
	         while (i< apps.getSize()) {
	             PlasticApplication app = (PlasticApplication) apps.getElementAt(i);
	             System.out.println("Name: "+app.getName());
	             System.out.println("Description: "+app.getDescription());
	            System.out.println("Plastic version: "+app.getPlasticVersion());
	            System.out.println("Icon URL: "+app.getIconUrl());
	             System.out.println("IVORN: "+app.getIvorn());
	             System.out.println("Plastic ID: "+app.getPlid());
	             System.out.println("Supported messages:");
	             List msgs = app.getSupportedMessageIds();
	             for (int j=0;i<msgs.size();++i) {
	                 System.out.println("\t"+msgs.get(j));
	             }
	}
	}
	public static void main(String[] args) throws RemoteException, IOException  {
		// TODO Auto-generated method stub
		System.out.println("main aapp");
		PlasticAPP appli = new PlasticAPP();
		appli.createHub();
		appli.RegisterHub();
		appli.ListApp();

	}
	public Object perform(URI sender, URI message, List args) {
        if (message.equals(CommonMessageConstants.GET_NAME)) {
            return "Simple App";
        }
       return CommonMessageConstants.RPCNULL; // we shouldn't receive any other messages anyway
    }
}
