package DAS;

import java.awt.Color;
import java.awt.Frame;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.rmi.RemoteException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Vector;

import javax.swing.JButton;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.xml.rpc.ServiceException;

import org.apache.axis.types.URI.MalformedURIException;
import org.china.vo.das.engine.client.DASClient;
import org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType;
import org.oasis.wsrf.properties.ResourceUnknownFaultType;
import org.w3c.dom.Document;

public class SubmitButtonListener extends MouseAdapter {
	private String URL;

	private String taskName;

	private String submitTime;

	private String state;

	private int queryType;

	private Document synResultDocument = null;

	private int resultNumber = 0;

	private String resultList = null;

	public static DASClient dasClient = null;
	
	public static int format =0;

	public static synResultView resultView;

	@Override
	public void mouseClicked(MouseEvent e) {
		JButton button = (JButton) e.getSource();
		if (button.getText().equals("Submit")) {

			String ADQL = Main_frame.mInterfaceDesign.getTextArea1().getText();
			//System.out.println(ADQL);
			//int format = 0;
			String selected = (String) (Main_frame.mInterfaceDesign
					.getComboBox1().getSelectedItem());
			if (selected == "CSV with comma")
				format = 0;
			else if (selected == "CSV with TAB")
				format = 1;
			else if (selected == "VOTable")
				format = 2;
			else if (selected == "FITS")
				format = 3;
			
			URL = (String) (Main_frame.mInterfaceDesign.getComboBox2()
					.getSelectedItem());
			taskName = Main_frame.mInterfaceDesign.getTaskField().getText();
			try {

				dasClient = new DASClient(Main_frame.mConnectDialog
						.getFactoryURI(), Main_frame.mConnectDialog
						.getInstanceURI());
				
			} catch (MalformedURIException e2) {
				// TODO Auto-generated catch block
				e2.printStackTrace();
			} catch (RemoteException e2) {
				// TODO Auto-generated catch block
				e2.printStackTrace();
			} catch (ServiceException e2) {
				// TODO Auto-generated catch block
				e2.printStackTrace();
			}
			try {
				submitTime = dasClient.getSubmitTime();
			} catch (InvalidResourcePropertyQNameFaultType e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			} catch (ResourceUnknownFaultType e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			} catch (RemoteException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			} catch (Exception e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			}

			if (Main_frame.queryType == 0) {
				
				Job job = new Job(taskName, ADQL, state, submitTime, format,
						URL, Main_frame.queryType);
                
				Main_frame.jobListManager.getJobList().add(job);
				DefaultTableModel stateModel = (DefaultTableModel) JobListManager.stateTable
						.getModel();

				Vector stateRowData = new Vector(8);
				stateRowData.setSize(8);
				stateRowData.setElementAt(job.getJobID(), 0);
				stateRowData.setElementAt(job.getTaskName(), 1);
				stateRowData.setElementAt(job.getQueryString(), 2);
				stateRowData.setElementAt(job.getStatus(), 3);
				stateRowData.setElementAt(job.getSubmitTime(), 4);
				stateRowData.setElementAt(job.getStartTime(), 5);
				stateRowData.setElementAt(job.getDASURL(), 6);
				stateRowData.setElementAt(job.getDataURL(), 7);
				stateModel.addRow(stateRowData);

				job.AsynchRun();
//				Main_frame.mInterfaceDesign.getTaskField().setEditable(true);
//				Main_frame.mInterfaceDesign.getTextArea1().setEditable(true);
//				Main_frame.mInterfaceDesign.getComboBox().setEnabled(true);
//				Main_frame.mInterfaceDesign.getComboBox1().setEnabled(true);
//				Main_frame.mInterfaceDesign.getComboBox2().setEnabled(true);
//				Main_frame.mInterfaceDesign.getTaskField().setEnabled(true);
//				Main_frame.mInterfaceDesign.getJLable().setEnabled(true);
			} else if (Main_frame.queryType == 1) {
				
			    synThread synquery = new synThread(ADQL,format);
				synquery.start();
				
			}


		}

	}
}
