package DAS;

import javax.swing.JPanel;
import java.awt.Frame;
import javax.swing.JDialog;
import java.awt.Dimension;
import javax.swing.JLabel;

import java.awt.Color;
import java.awt.Rectangle;
import java.awt.Font;
import javax.swing.JButton;
import javax.swing.JOptionPane;
import javax.swing.JTree;
import java.awt.Point;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FilenameFilter;
import java.io.IOException;
import java.io.StringReader;
import java.rmi.RemoteException;
import java.util.HashMap;
import java.util.Map;
import java.util.Vector;
import javax.swing.table.DefaultTableModel;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.rpc.ServiceException;

import org.apache.axis.message.addressing.EndpointReferenceType;
import org.apache.axis.types.URI.MalformedURIException;
import org.w3c.dom.DOMException;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

import org.china.vo.das.engine.client.DASClient;
import org.china.vo.das.engine.impl.DASNamespaces; 
import org.globus.wsrf.encoding.DeserializationException;
import org.globus.wsrf.encoding.ObjectDeserializer;
import javax.swing.JTextField;

public class connectDialog extends JDialog {

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane = null;

	private JLabel jLabel = null;

	private JButton jButton = null;

	private JButton jButton2 = null;

	public static DefaultTableModel stateModel = (DefaultTableModel) JobListManager.stateTable
			.getModel();

	public static DefaultTableModel historyModel = (DefaultTableModel) JobListManager.historyTable
			.getModel();
	public static MultiClietQuery multiClientQuery = new MultiClietQuery();  //  @jve:decl-index=0:
    private String instanceURI = null;
    private String factoryURI = null ;
	private String allResource = null;

	private String allResourceTable = null;

	private String allResourceTableColumn = null;

	public    DASClient dasClient = null; //  @jve:decl-index=0:
	
	public static Map<String, String> description = new HashMap<String, String>();  //  @jve:decl-index=0:
    private   InnerCellButton cancelbtn1 = new InnerCellButton();
    private  CellButtonEditer cellButtonEditer = new CellButtonEditer(cancelbtn1);  //  @jve:decl-index=0:

	private JLabel jLabel1 = null;
	private  int isConnect = 0 ;
	private int rightConnect = 1;
	private String tmpJobID  ;

	private JTextField jTextFieldServer = null;

	private JTextField jTextFieldPort = null;

	/**
	 * @param owner
	 */
	public connectDialog(Frame owner) {
		super(owner);
		initialize();
		
	}
   public DASClient getDasClient(){
	   return this.dasClient;
   }
   
   public String getFactoryURI(){
   	return factoryURI;
   }
   
   public String getInstanceURI(){
   	return instanceURI;
   }
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setTitle("Connect");
		this.setBounds(new Rectangle(200, 100, 343, 122));
		this.setContentPane(getJContentPane());
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jLabel1 = new JLabel();
			jLabel1.setBounds(new Rectangle(209, 21, 42, 20));
			jLabel1.setText("Port :");
			jLabel1.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel = new JLabel();
			jLabel.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel.setLocation(new Point(6, 17));
			jLabel.setSize(new Dimension(62, 26));
			jLabel.setText("Server :");
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(jLabel, null);
			jContentPane.add(getJButton(), null);
			jContentPane.add(getJButton2(), null);
			jContentPane.add(jLabel1, null);
			jContentPane.add(getJTextFieldServer(), null);
			jContentPane.add(getJTextFieldPort(), null);
		}
		return jContentPane;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("Connect");
			jButton.setSize(new Dimension(92, 23));
			jButton.setLocation(new Point(126, 52));
			jButton.addMouseListener(new java.awt.event.MouseAdapter() {
				public void mouseClicked(java.awt.event.MouseEvent e) {
				 if (Main_frame.isConnected == 0){
						
					
					instanceURI = getJTextFieldServer().getText()+":"+getJTextFieldPort().getText() + "/wsrf/services/DASService";
					factoryURI = getJTextFieldServer().getText()+":"+getJTextFieldPort().getText() + "/wsrf/services/DASFactoryService";
//                    System.out.println(instanceURI);
//                    System.out.println(factoryURI);
					try {												
						dasClient = new DASClient(factoryURI, instanceURI);
						System.out.println("dasClient: "+dasClient);
						dasClient.updateRP(DASNamespaces.RP_STATUS,"FirstClient");												
					} catch (MalformedURIException e3) {
						rightConnect = 0 ;
						JOptionPane.showMessageDialog ( getJContentPane()," malformed URLs","Warnning",2);
					} catch (RemoteException e3) {
						rightConnect = 0 ;
						JOptionPane.showMessageDialog ( getJContentPane(),"remote1 connection is error","Warnning",2);
					} catch (ServiceException e3) {
						rightConnect = 0 ;
						JOptionPane.showMessageDialog ( getJContentPane(),"the service is an exception","Warnning",2);
					} catch (Exception e3) {
						rightConnect = 0 ;
						JOptionPane.showMessageDialog ( getJContentPane(),"remote2 connection is error","Warnning",2);
					}
                    if (rightConnect == 1){
                    Main_frame.mInterfaceDesign.getTextField().setForeground(Color.BLACK);
                    Main_frame.mInterfaceDesign.getTextField().setText("the server's IP address:"+getJTextFieldServer().getText());
					//get many dates from the Server and then show it in the Tree  
					JTree tree = Main_frame.mInterfaceDesign.getTree();
					DefaultMutableTreeNode top, catanode,specnode,imagnode, secondnode, thirdnode, childnode;
					top = (DefaultMutableTreeNode) tree.getModel().getRoot();
					String NodeType[] = { "Catalog","Spectra","Image",};

					try {

						Document sourceDocument, tableDocument, columnDocument;
						String sourceName = null, tableName = null, columnName = null;
						int sourceNumber = 0, tableNumber = 0, columnNumber = 0;
						int sourcePropertiyNumber, tablePropertiyNumber, columnPropertiyNumber;
						String sourceDescription = null, tableDescription = null, columnDescription = null;
						String catResourceID = "MetadataCatalog", speResourceID="MetadataSpectra",imgResourceID="MetadataImage";
						String tableID=null, columnID=null,dataNode=null;

						//get dataResouce 
						allResource = dasClient.getAllResource();
						System.out.println("allResource");
						System.out.println(allResource);
						catanode = new DefaultMutableTreeNode(NodeType[0]);
						specnode = new DefaultMutableTreeNode(NodeType[1]);
						imagnode = new DefaultMutableTreeNode(NodeType[2]);
						
						
						top.add(catanode);
						top.add(specnode);
						top.add(imagnode);

						sourceDocument = connectDialog
								.parsexmldocument(allResource);
						sourceNumber = sourceDocument.getFirstChild()
								.getChildNodes().getLength();
                      
						for (int i = 0; i < sourceNumber; i++) {
                            String type="";
							sourceName = sourceDocument.getFirstChild()
									.getChildNodes().item(i).getChildNodes()
									.item(0).getTextContent();
							
							
							secondnode = new DefaultMutableTreeNode(sourceName);
							
							

							sourcePropertiyNumber = sourceDocument
									.getFirstChild().getChildNodes().item(i)
									.getChildNodes().getLength();
							for (int i1 = 1; i1 < sourcePropertiyNumber; i1++) {
								String name =sourceDocument.getFirstChild()
								.getChildNodes().item(i)
								.getChildNodes().item(i1).getNodeName();
								if (name.equals("Type")) type =sourceDocument.getFirstChild()
								.getChildNodes().item(i)
								.getChildNodes().item(1).getTextContent();
								sourceDescription = sourceDescription
										+ sourceDocument.getFirstChild()
												.getChildNodes().item(i)
												.getChildNodes().item(i1)
												.getTextContent() + "\n";
							}
							if(type.equals("Catalog")){catResourceID = catResourceID + sourceName;;catanode.add(secondnode);}
							else if(type.equals("Spectra")){speResourceID = speResourceID + sourceName;;specnode.add(secondnode);}
							else if (type.equals("Image")) {imgResourceID = imgResourceID + sourceName;imagnode.add(secondnode);}
							description.put(catResourceID, sourceDescription);
  
							//get tables 
							allResourceTable = dasClient
									.getMetaTables(sourceName);
//							System.out.println("allResourceTable");
//							System.out.println(allResourceTable);
							tableDocument = connectDialog
									.parsexmldocument(allResourceTable);

							tableNumber = tableDocument.getFirstChild()
									.getChildNodes().getLength();
                          
							for (int j = 0; j < tableNumber; j++) {
								tableName = tableDocument.getFirstChild()
										.getChildNodes().item(j)
										.getChildNodes().item(0)
										.getTextContent();
								
								if (type.equals("Catalog"))tableID = catResourceID + tableName;
								else if(type.equals("Spectra"))tableID = speResourceID + tableName;
								else if(type.equals("Image")) tableID = imgResourceID + tableName;
								thirdnode = new DefaultMutableTreeNode(tableName);
								secondnode.add(thirdnode);

								tablePropertiyNumber = tableDocument
										.getFirstChild().getChildNodes()
										.item(j).getChildNodes().getLength();
								for (int j1 = 1; j1 < tablePropertiyNumber; j1++) {
									dataNode = tableDocument.getFirstChild()
											.getChildNodes().item(j)
											.getChildNodes().item(j1)
											.getNodeName();
									tableDescription = tableDescription
											+ dataNode
											+ ":"
											+ tableDocument.getFirstChild()
													.getChildNodes().item(j)
													.getChildNodes().item(j1)
													.getTextContent() + "\n";
								}
								description.put(tableID, tableDescription);
 
								//get Columns
								allResourceTableColumn = dasClient
										.getMetaColumns(sourceName, tableName);
//								System.out.println("allResourceTableColumn");
//								System.out.println(allResourceTableColumn);
								columnDocument = connectDialog
										.parsexmldocument(allResourceTableColumn);
								columnNumber = columnDocument.getFirstChild()
										.getChildNodes().getLength();
							
								for (int k = 0; k < columnNumber ; k++) {
									columnName = columnDocument.getFirstChild()
											.getChildNodes().item(k)
											.getChildNodes().item(0)
											.getTextContent();
								
									columnID = tableID + columnName;

									childnode = new DefaultMutableTreeNode(
											columnName);
									thirdnode.add(childnode);

									columnPropertiyNumber = columnDocument
											.getFirstChild().getChildNodes()
											.item(k).getChildNodes()
											.getLength();
									for (int k1 = 1; k1 < columnPropertiyNumber; k1++) {
										dataNode = columnDocument
												.getFirstChild()
												.getChildNodes().item(k)
												.getChildNodes().item(k1)
												.getNodeName();
										columnDescription = columnDescription
												+ dataNode
												+ ":"
												+ columnDocument
														.getFirstChild()
														.getChildNodes()
														.item(k)
														.getChildNodes().item(
																k1)
														.getTextContent()
												+ "\n";
									}
									description
											.put(columnID, columnDescription);
									columnDescription = "";
								}
								tableDescription = "";
							}
							catResourceID = "MetadataCatalog";
							speResourceID = "MetadataSpectra";
							imgResourceID = "MetadataImage";
							sourceDescription = "";
						}

					} catch (RemoteException e2) {
						// TODO Auto-generated catch block
						e2.printStackTrace();
					}

					tree.updateUI();
					dispose();

					// according to the user and user's password,reading the xml
					// files to JobList
					File jobDir = new File("Job");
					if (!jobDir.exists()) {
						jobDir.mkdir();
					} else {

						File[] jobFiles = jobDir
								.listFiles(new FilenameFilter() {
									public boolean accept(File dir, String name) {
										if (name.endsWith(".xml")  ) {
											return true;
										}
										return false;
									}
								});
				
						DocumentBuilderFactory jobFactory = DocumentBuilderFactory
								.newInstance();
						DocumentBuilder jobBuilder = null;
						try {
							jobBuilder = jobFactory.newDocumentBuilder();
						} catch (ParserConfigurationException e1) {
							// TODO Auto-generated catch block
							e1.printStackTrace();
						}

						for (int i = 0; i < jobFiles.length; i++) {
							
							Document jobDoc = null;
							if(jobFiles[i].length()!=0){
							try {
								
								jobDoc = jobBuilder.parse(jobFiles[i]);
								
							} catch (SAXException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							} catch (IOException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							}
							jobDoc.normalize();
							NodeList jobLinks = jobDoc
									.getElementsByTagName("Job");
							Job tmpJob = new Job();

							for (int j = 0; j < jobLinks.getLength(); j++) {
								Element jobLink = (Element) jobLinks.item(j);
								tmpJobID = jobLink.getElementsByTagName(
								"jobID").item(0).getFirstChild()
								.getNodeValue() ;
								tmpJob.setJobID(tmpJobID);
								 if (Main_frame.jobID < Integer.valueOf(tmpJobID)) {Main_frame.jobID = Integer.valueOf(tmpJobID) ;}
								tmpJob.setTaskName(jobLink
										.getElementsByTagName("taskName").item(
												0).getFirstChild()
										.getNodeValue());
								tmpJob
										.setQueryString(jobLink
												.getElementsByTagName(
														"queryString").item(0)
												.getFirstChild().getNodeValue());
								tmpJob.setStatus(jobLink.getElementsByTagName(
										"state").item(0).getFirstChild()
										.getNodeValue());
								tmpJob
										.setSubmitTime(jobLink
												.getElementsByTagName(
														"submitTime").item(0)
												.getFirstChild().getNodeValue());
								tmpJob
										.setStartTime(jobLink
												.getElementsByTagName(
														"startTime").item(0)
												.getFirstChild().getNodeValue());
								tmpJob.setDASURL(jobLink.getElementsByTagName(
										"DASURL").item(0).getFirstChild()
										.getNodeValue());
								tmpJob.setDataURL(jobLink.getElementsByTagName(
										"DataURL").item(0).getFirstChild()
										.getNodeValue());
								tmpJob
										.setEprDirectory(jobLink
												.getElementsByTagName(
														"eprDirectory").item(0)
												.getFirstChild().getNodeValue());
								
								FileInputStream fis;								
								try {
									fis = new FileInputStream(jobLink
											.getElementsByTagName(
													"eprDirectory").item(0)
											.getFirstChild().getNodeValue());
									EndpointReferenceType instanceEPR = (EndpointReferenceType) ObjectDeserializer
											.deserialize(new InputSource(fis),
													EndpointReferenceType.class);
									fis.close();
									tmpJob.setEPR(instanceEPR);
								} catch (FileNotFoundException e1) {
									// TODO Auto-generated catch block
									e1.printStackTrace();
								} catch (DOMException e1) {
									// TODO Auto-generated catch block
									e1.printStackTrace();
								} catch (DeserializationException e1) {
									// TODO Auto-generated catch block
									e1.printStackTrace();
								} catch (IOException e1) {
									// TODO Auto-generated catch block
									e1.printStackTrace();
								}

								// tmpJob.setEPR(EndpointReferenceType EPR);

							}

							Main_frame.jobListManager.getJobList().add(tmpJob);
							Main_frame.jobID++;
						}
					}
						File[] allJobFiles = jobDir.listFiles();
						
						for(int k=0;k < allJobFiles.length;k++){
							allJobFiles[k].delete();
						}
					}
					Main_frame.jobMonitor.start();
					

					// reading the xml files to HistoryList
					File historyDir = new File("History");
					if (!historyDir.exists()) {
						historyDir.mkdir();
					} else {
						File[] historyFiles = historyDir.listFiles();
                        
						DocumentBuilderFactory historyFactory = DocumentBuilderFactory
								.newInstance();
						DocumentBuilder historyBuilder = null;
						try {
							historyBuilder = historyFactory
									.newDocumentBuilder();
						} catch (ParserConfigurationException e1) {
							// TODO Auto-generated catch block
							e1.printStackTrace();
						}

						for (int i = 0; i < historyFiles.length; i++) {
						   
							Document historyDoc = null;
							 if(historyFiles[i].length()!=0){
							try {
								historyDoc = historyBuilder
										.parse(historyFiles[i]);
							} catch (SAXException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							} catch (IOException e1) {
								// TODO Auto-generated catch block
								e1.printStackTrace();
							}
							historyDoc.normalize();
							NodeList historyLinks = historyDoc
									.getElementsByTagName("History");
							Job tmpHistory = new Job();

							for (int j = 0; j < historyLinks.getLength(); j++) {
								Element historyLink = (Element) historyLinks
										.item(j);
								tmpJobID = historyLink
										.getElementsByTagName("jobID").item(0)
										.getFirstChild().getNodeValue();
								tmpHistory.setJobID(tmpJobID);
								if (Main_frame.jobID < Integer.valueOf(tmpJobID)) {Main_frame.jobID = Integer.valueOf(tmpJobID); }
								tmpHistory.setTaskName(historyLink
										.getElementsByTagName("taskName").item(
												0).getFirstChild()
										.getNodeValue());
								tmpHistory
										.setQueryString(historyLink
												.getElementsByTagName(
														"queryString").item(0)
												.getFirstChild().getNodeValue());
								tmpHistory.setStatus(historyLink
										.getElementsByTagName("state").item(0)
										.getFirstChild().getNodeValue());
								tmpHistory
										.setSubmitTime(historyLink
												.getElementsByTagName(
														"submitTime").item(0)
												.getFirstChild().getNodeValue());
								tmpHistory
										.setStartTime(historyLink
												.getElementsByTagName(
														"startTime").item(0)
												.getFirstChild().getNodeValue());
								tmpHistory
										.setFinishTime(historyLink
												.getElementsByTagName(
														"finishTime").item(0)
												.getFirstChild().getNodeValue());
								tmpHistory.setDASURL(historyLink
										.getElementsByTagName("DASURL").item(0)
										.getFirstChild().getNodeValue());
								tmpHistory
										.setDataURL(historyLink
												.getElementsByTagName("DataURL")
												.item(0).getFirstChild()
												.getNodeValue());
							}
							Main_frame.jobListManager.getHistoryList().add(
									tmpHistory);
						}
					}					
					}
					

					// display the state and history information

					for (Job job : Main_frame.jobListManager.getJobList()) {
						Vector stateRowData = new Vector(8);
						stateRowData.setSize(8);
						stateRowData.setElementAt(job.getJobID(), 0);
						stateRowData.setElementAt(job.getTaskName(), 1);
						stateRowData.setElementAt(job.getQueryString(), 2);
						stateRowData.setElementAt(job.getStatus(), 3);
						stateRowData.setElementAt(job.getSubmitTime(), 4);
						stateRowData.setElementAt(job.getStartTime(), 5);
						stateRowData.setElementAt(job.getDASURL(), 6);
						stateRowData.setElementAt(job.getDataURL(), 7);
						stateModel.addRow(stateRowData);
					}

					for (Job history : Main_frame.jobListManager
							.getHistoryList()) {
						Vector historyRowData = new Vector(9);
						historyRowData.setSize(9);
						historyRowData.setElementAt(history.getJobID(), 0);
						historyRowData.setElementAt(history.getTaskName(), 1);
						historyRowData.setElementAt(history.getQueryString(), 2);
						historyRowData.setElementAt(history.getStatus(), 3);
						historyRowData.setElementAt(history.getSubmitTime(), 4);
						historyRowData.setElementAt(history.getStartTime(), 5);
						historyRowData.setElementAt(history.getFinishTime(), 6);
						historyRowData.setElementAt(history.getDataURL(), 7);
						historyRowData.setElementAt(history.getDASURL(), 8);
						historyModel.addRow(historyRowData);
					}

					//InnerCellButton cancelbtn1 = new InnerCellButton();
					cancelbtn1.setText("Cancel");

				    cancelbtn1.addMouseListener(new CancelButtonListener());

					JobListManager.stateTable.getColumn("Operation").setCellRenderer(cancelbtn1);
					//CellButtonEditer cellButtonEditer = new CellButtonEditer(cancelbtn1);
					JobListManager.stateTable.getColumn("Operation").setCellEditor(cellButtonEditer);
                    

					JobListManager.stateTable.repaint();
					JobListManager.stateTable.updateUI();
					JobListManager.historyTable.repaint();
					JobListManager.historyTable.updateUI();
							
					Main_frame.isConnected = 1 ;
                    }
                    rightConnect = 1;
				}
				else
				{
					dispose();
					JOptionPane.showMessageDialog (getJButton(),"The server have been connected","Warnning",2);

			}
			//	multiClientQuery.clientStart();
				}
			});
		}
		return jButton;

	}

	/**
	 * This method initializes jButton1	
	 * 	
	 * @return javax.swing.JButton	
	 */
//	private Document document = null;
	public static Document parsexmldocument(String xmlstring) {
//		if (xmlstring == null) {
////		    	throw new IllegalArgumentException();
//			return this.document;
//		//	JOptionPane.showMessageDialog (Main_frame.mInterfaceDesign.getSubmitButton(),"the result is nothing! ","Warnning",2);
//		}else{
		try {
			return newdocumentbuilder().parse(
					new InputSource(new StringReader(xmlstring)));
		} catch (Exception e) {
			throw new RuntimeException(e.getMessage());
		}
		}
	

	public static DocumentBuilder newdocumentbuilder()
			throws ParserConfigurationException {
		return newdocumentbuilderfactory().newDocumentBuilder();
	}

	public static DocumentBuilderFactory newdocumentbuilderfactory() {
		DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
		dbf.setNamespaceAware(true);
		return dbf;
	}

	/**
	 * This method initializes jButton2	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton2() {
		if (jButton2 == null) { 
			jButton2 = new JButton();
			jButton2.setText("Cancel");
			jButton2.setSize(new Dimension(91, 22));
			jButton2.setLocation(new Point(237, 51));
			jButton2.addMouseListener(new java.awt.event.MouseAdapter() {
				public void mouseClicked(java.awt.event.MouseEvent e) {
					dispose();
					// TODO Auto-generated Event stub mouseClicked()
				}
			});
		}
		return jButton2;
	}

	/**
	 * This method initializes jTextFieldServer	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextFieldServer() {
		if (jTextFieldServer == null) {
			jTextFieldServer = new JTextField();
			jTextFieldServer.setBounds(new Rectangle(69, 20, 133, 22));
			jTextFieldServer.setFont(new Font("Dialog", Font.PLAIN, 12));
			jTextFieldServer.setText("http://159.226.169.50");
		}
		return jTextFieldServer;
	}

	/**
	 * This method initializes jTextFieldPort	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextFieldPort() {
		if (jTextFieldPort == null) {
			jTextFieldPort = new JTextField();
			jTextFieldPort.setBounds(new Rectangle(253, 20, 73, 23));
			jTextFieldPort.setText("8080");
		}
		return jTextFieldPort;
	}
  //  @jve:decl-index=0:

} //  @jve:decl-index=0:visual-constraint="213,26"
