package DAS;

import javax.swing.JPanel;
import javax.swing.JDialog;
import java.awt.Dimension;
import javax.swing.JLabel;
import java.awt.Rectangle;
import java.awt.Font;
import javax.swing.JButton;
import java.awt.Point;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.io.FileOutputStream;
import java.io.IOException;
import java.net.InetAddress;
import java.net.URI;
import java.net.URISyntaxException;
import java.net.UnknownHostException;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import net.ladypleaser.rmilite.Client;

import org.china.vo.das.engine.client.DASClient;
import org.votech.plastic.PlasticHubListener;
import org.votech.plastic.PlasticListener;

import javax.swing.JTextField;

public class remoteOperateWindow extends JDialog {

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane = null;

	private JLabel jLabel = null;

	private JButton jButton = null;

	private JButton jButton2 = null;

	public static MultiClietQuery multiClientQuery = new MultiClietQuery(); //  @jve:decl-index=0:

	private String instanceURI = null;

	private String factoryURI = null;

	public DASClient dasClient = null; //  @jve:decl-index=0:

	public static Map<String, String> description = new HashMap<String, String>(); //  @jve:decl-index=0:

	private InnerCellButton cancelbtn1 = new InnerCellButton();

	private CellButtonEditer cellButtonEditer = new CellButtonEditer(cancelbtn1); //  @jve:decl-index=0:

	private JLabel jLabel1 = null;

	private JTextField jTextFieldServer = null;

	private JTextField jTextFieldPort = null;

	/**
	 */
	public remoteOperateWindow() {
		super();
		initialize();
	}

	public DASClient getDasClient() {
		return this.dasClient;
	}

	public String getFactoryURI() {
		return factoryURI;
	}

	public String getInstanceURI() {
		return instanceURI;
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setTitle("remoteOperate");
		this.setBounds(new Rectangle(200, 100, 343, 122));
		this.setContentPane(getJContentPane());
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jLabel1 = new JLabel();
			jLabel1.setBounds(new Rectangle(209, 21, 42, 20));
			jLabel1.setText("Port :");
			jLabel1.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel = new JLabel();
			jLabel.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel.setLocation(new Point(6, 17));
			jLabel.setSize(new Dimension(62, 26));
			jLabel.setText("Server :");
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(jLabel, null);
			jContentPane.add(getJButton(), null);
			jContentPane.add(getJButton2(), null);
			jContentPane.add(jLabel1, null);
			jContentPane.add(getJTextFieldServer(), null);
			jContentPane.add(getJTextFieldPort(), null);
		}
		return jContentPane;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("ok");
			jButton.setSize(new Dimension(92, 23));
			jButton.setLocation(new Point(126, 52));
			jButton.addMouseListener(new MouseAdapter() {

				@Override
				public void mouseClicked(MouseEvent arg0) {
					// TODO Auto-generated method stub
					super.mouseClicked(arg0);

					String server = remoteOperateListener.operate
							.getJTextFieldServer().getText();
					System.out.println("server:" + server);
					final Client client = new Client(server, 1099);
					client.exportInterface(PlasticListener.class);
					PlasticHubListener hub;
					try {
						try {
							createFile();
						} catch (IOException e2) {
							// TODO Auto-generated catch block
							e2.printStackTrace();
						} catch (URISyntaxException e2) {
							// TODO Auto-generated catch block
							e2.printStackTrace();
						}
						hub = (PlasticHubListener) client
								.lookup(PlasticHubListener.class);
						URI id = hub.registerNoCallBack("VO-DAS");
						System.out.println(id);
						URI message;
						try {
							message = new java.net.URI(
									"ivo://votech.org/votable/loadFromURL");
							List messages = new ArrayList();
							List l = new ArrayList();
							//l.add(Thread.currentThread().getContextClassLoader().getResource("")+"result.vot");
							String IP;
							try {
								IP = InetAddress.getLocalHost().getHostAddress()+":8080";
								l.add("http://"+IP+"/download/result.vot");
								hub.request(id, message, l);
							} catch (UnknownHostException e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
							}
							
						} catch (URISyntaxException e1) {
							e1.printStackTrace();
						}
					} catch (RemoteException e1) {
						e1.printStackTrace();
					} catch (NotBoundException e1) {
						e1.printStackTrace();
					}

				}

			});
		}
		return jButton;

	}

	/**
	 * This method initializes jButton1	
	 * 	
	 * @return javax.swing.JButton	
	 */

	/**
	 * This method initializes jButton2	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton2() {
		if (jButton2 == null) {
			jButton2 = new JButton();
			jButton2.setText("Cancel");
			jButton2.setSize(new Dimension(91, 22));
			jButton2.setLocation(new Point(237, 51));
			jButton2.addMouseListener(new java.awt.event.MouseAdapter() {
				public void mouseClicked(java.awt.event.MouseEvent e) {
					dispose();
				}
			});
		}
		return jButton2;
	}

	/**
	 * This method initializes jTextFieldServer	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextFieldServer() {
		if (jTextFieldServer == null) {
			jTextFieldServer = new JTextField();
			jTextFieldServer.setBounds(new Rectangle(69, 20, 133, 22));
			jTextFieldServer.setFont(new Font("Dialog", Font.PLAIN, 12));
			jTextFieldServer.setText("192.168.3.22");
		}
		return jTextFieldServer;
	}

	/**
	 * This method initializes jTextFieldPort	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public JTextField getJTextFieldPort() {
		if (jTextFieldPort == null) {
			jTextFieldPort = new JTextField();
			jTextFieldPort.setBounds(new Rectangle(253, 20, 73, 23));
			jTextFieldPort.setText("1099");
		}
		return jTextFieldPort;
	}
	public void createFile() throws IOException, URISyntaxException {
		FileOutputStream fos = null;
		try {
			//System.out.println("the file is creating");
			String str = synResultView.jTextArea.getText();
			//System.out.println("STR:  "+str);
			//System.out.println(System.getProperty("user.dir"));
			fos = new FileOutputStream(System.getProperty("user.dir")+"//bin//result.vot");
			
			fos.write(str.getBytes());
		} catch (IOException e1) {
		} finally {
			try {
				fos.close();
			} catch (IOException e1) {
			}
		}
	}
}
